Bug 16947 - Install fails on Compaq Proliant DL360
Install fails on Compaq Proliant DL360
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-25 12:24 EDT by jpranevich
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-28 12:30:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jpranevich 2000-08-25 12:24:22 EDT
RedHat installation on Compaq 1U hardware fails with Anaconda errors, swap problems, other misc. "weirdness" This has been tracked to the 
video card directly. An install in textmode solved all problems, but the RedHat 7.0 install will want to detect this condition and work around it. 
We wasted many hours of debugging figuring this one out...
Comment 1 Michael Fulbright 2000-08-29 12:33:22 EDT
Brock can we reproduce this?
Comment 2 jpranevich 2000-08-30 17:10:04 EDT
I can provide some more information:

The model is a ProLiant DL360.

Machine specs:

Two 800MHz Pentium III Flip/Chip processors 
1G of 133MHz ECC registered SDRAM DIMM memory
133MHz GTL Bus
Integrated Smart Array Controller (Ultra2 controller)
Two Compaq NC3163 Fast Ethernet NIC Embedded 10/100 with WOL capability
ATI Mach64 video card

(I can pull more info out of /proc/pci, etc. if you like.)

Compaq has a product description here: 
http://www6.compaq.com/products/servers/ProLiantdl360/description.html

Additionally, Compaq has released some custom kernel patches that fix some 
issues with the disk array and PCI on their web page. It doesn't seem like 
that's related, but it might be:

http://www6.compaq.com/support/files/server/US/locate/35_1123.html

Comment 3 Brock Organ 2000-11-03 08:22:27 EST
hmmm ... I've tried several installs of 6.2 on our test lab DL 360 in GUI mode,
without any problems ... have you seen this problem occur in other DL360s or do
you think the problem could just be this particular DL360's flakiness ...?

just to confirm, does my device list match what you have ...?

00:00.0 Host bridge: Relience Computer CNB20HE (rev 05)                         
00:00.1 Host bridge: Relience Computer CNB20HE (rev 05)                         
00:01.0 RAID bus controller: Symbios Logic Inc. (formerly NCR): Unknown device
0010 (rev 02)                                                            
00:03.0 VGA compatible controller: ATI Technologies Inc 3D Rage IIC 215IIC
[Mach64 GT IIC] (rev 7a)                                                    
00:04.0 System peripheral: Compaq Computer Corporation: Unknown device a0f0     
00:0f.0 ISA bridge: Relience Computer: Unknown device 0200 (rev 4f)             
00:0f.1 IDE interface: Relience Computer: Unknown device 0211                   
03:04.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100] (rev 08)
03:05.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100] (rev
08)                                         

since several devices above list as "Unknown" here are the PCI IDs:

00:00.0 Class 0600: 1166:0009 (rev 05)
00:00.1 Class 0600: 1166:0009 (rev 05)
00:01.0 Class 0104: 1000:0010 (rev 02)
00:03.0 Class 0300: 1002:4756 (rev 7a)
00:04.0 Class 0880: 0e11:a0f0
00:0f.0 Class 0601: 1166:0200 (rev 4f)
00:0f.1 Class 0101: 1166:0211
03:04.0 Class 0200: 8086:1229 (rev 08)
03:05.0 Class 0200: 8086:1229 (rev 08)  

thanks for your report!
Comment 4 Michael Fulbright 2000-11-28 12:30:20 EST
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.